cascading.flow.planner

## Class PlannerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.CascadingException
        - - cascading.flow.FlowException
          - - cascading.flow.planner.PlannerException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    UnsupportedPlanException

      public class PlannerException
      extends FlowException

  Class PlannerException is thrown when a job planner fails.

  For debugging purposes, the PlannerException holds a copy of the internal job representation which can be written out to disk and visualized with tools that support the DOT file format using the `writeDOT(String)` method.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlannerException()` Constructor PlannerException creates a new PlannerException instance.
    `PlannerException(FlowElement flowElement, String message)` Constructor PlannerException creates a new PlannerException instance.
    `PlannerException(FlowElement flowElement, String message, Throwable throwable)` Constructor PlannerException creates a new PlannerException instance.
    `PlannerException(FlowElement flowElement, String message, Throwable throwable, ElementGraph elementGraph)` Constructor PlannerException creates a new PlannerException instance.
    `PlannerException(PlanPhase phase, Rule rule, ElementGraph elementGraph, Throwable throwable)`
    `PlannerException(PlanPhase phase, Rule rule, Throwable throwable)`
    `PlannerException(Rule rule, Exception exception)`
    `PlannerException(RuleRegistry registry, PlanPhase phase, Rule rule, ElementGraph elementGraph, Throwable throwable)`
    `PlannerException(RuleRegistry registry, PlanPhase phase, Rule rule, Throwable throwable)`
    `PlannerException(String string)` Constructor PlannerException creates a new PlannerException instance.
    `PlannerException(String string, ElementGraph elementGraph)` Constructor PlannerException creates a new PlannerException instance.
    `PlannerException(String string, Throwable throwable)` Constructor PlannerException creates a new PlannerException instance.
    `PlannerException(String string, Throwable throwable, ElementGraph elementGraph)` Constructor PlannerException creates a new PlannerException instance.
    `PlannerException(Throwable throwable)` Constructor PlannerException creates a new PlannerException instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementGraph` | `getElementGraph()` Method getElementGraph returns the elementGraph of this PlannerException object.
    `void` | `writeCauseDOT(String filename)` Method writeCauseDOT writes the underlying `GraphFinderException` intermediate graph as a DOT file.
    `void` | `writeDOT(String filename)` Method writeDOT writes the failed Flow instance to the given filename as a DOT file for import into a graphics package.

    - ### Methods inherited from class cascading.flow.FlowException

      `getFlowName`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlannerException

          public PlannerException()

      Constructor PlannerException creates a new PlannerException instance.

    - #### PlannerException

          public PlannerException(FlowElement flowElement,
                          String message)

      Constructor PlannerException creates a new PlannerException instance.
      Parameters:
        `flowElement` - of type FlowElement
        `message` - of type String

    - #### PlannerException

          public PlannerException(FlowElement flowElement,
                          String message,
                          Throwable throwable)

      Constructor PlannerException creates a new PlannerException instance.
      Parameters:
        `flowElement` - of type FlowElement
        `message` - of type String
        `throwable` - of type Throwable

    - #### PlannerException

          public PlannerException(FlowElement flowElement,
                          String message,
                          Throwable throwable,
                          ElementGraph elementGraph)

      Constructor PlannerException creates a new PlannerException instance.
      Parameters:
        `flowElement` - of type FlowElement
        `message` - of type String
        `throwable` - of type Throwable
        `elementGraph` - of type ElementGraph

    - #### PlannerException

          public PlannerException(String string)

      Constructor PlannerException creates a new PlannerException instance.
      Parameters:
        `string` - of type String

    - #### PlannerException

          public PlannerException(String string,
                          Throwable throwable)

      Constructor PlannerException creates a new PlannerException instance.
      Parameters:
        `string` - of type String
        `throwable` - of type Throwable

    - #### PlannerException

          public PlannerException(Throwable throwable)

      Constructor PlannerException creates a new PlannerException instance.
      Parameters:
        `throwable` - of type Throwable

    - #### PlannerException

          public PlannerException(String string,
                          ElementGraph elementGraph)

      Constructor PlannerException creates a new PlannerException instance.
      Parameters:
        `string` - of type String
        `elementGraph` - of type SimpleDirectedGraph

    - #### PlannerException

          public PlannerException(String string,
                          Throwable throwable,
                          ElementGraph elementGraph)

      Constructor PlannerException creates a new PlannerException instance.
      Parameters:
        `string` - of type String
        `throwable` - of type Throwable
        `elementGraph` - of type SimpleDirectedGraph

    - #### PlannerException

          public PlannerException(Rule rule,
                          Exception exception)

    - #### PlannerException

          public PlannerException(PlanPhase phase,
                          Rule rule,
                          Throwable throwable)

    - #### PlannerException

          public PlannerException(PlanPhase phase,
                          Rule rule,
                          ElementGraph elementGraph,
                          Throwable throwable)

    - #### PlannerException

          public PlannerException(RuleRegistry registry,
                          PlanPhase phase,
                          Rule rule,
                          Throwable throwable)

    - #### PlannerException

          public PlannerException(RuleRegistry registry,
                          PlanPhase phase,
                          Rule rule,
                          ElementGraph elementGraph,
                          Throwable throwable)

  - ### Method Detail

    - #### getElementGraph

          public ElementGraph getElementGraph()

      Method getElementGraph returns the elementGraph of this PlannerException object.
      Returns:
        the pipeGraph (ElementGraph) of this PlannerException object.

    - #### writeDOT

          public void writeDOT(String filename)

      Method writeDOT writes the failed Flow instance to the given filename as a DOT file for import into a graphics package.
      Parameters:
        `filename` - of type String

    - #### writeCauseDOT

          public void writeCauseDOT(String filename)

      Method writeCauseDOT writes the underlying `GraphFinderException` intermediate graph as a DOT file.

      If the cause is not a GraphFinderException, and the underlying graph doesn't provide a 'writeDOT' method, the method does nothing.
      Parameters:
        `filename` - of type String

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.